package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;import org.hibernate.envers.Audited;
@Entity //@Audited
@Table(name = "PapDiagnosisPrimer_T")
public class PapDiagnosisPrimer extends BaseTransaction{
	
	/**
	 * @author andri
	 */
	private static final long serialVersionUID = 1L;

	@ManyToOne
	@JoinColumn(name = "ObjectPAPpengkajianMedisFk")
	@NotNull(message = "PAPpengkajianMedis tidak boleh kosong")
	@Caption(value = "Object PAPpengkajianMedis")
	private PapPengkajianMedis paPpengkajianMedis;

	@Column(name = "ObjectPAPpengkajianMedisFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false, nullable = false)
	private String paPpengkajianMedisId;


	@ManyToOne
	@JoinColumn(name = "ObjectDiagnosaFk")
	@NotNull(message = "Diagnosa tidak boleh kosong")
	@Caption(value = "Object Diagnosa")
	private Diagnosa diagnosa;

	@Column(name = "ObjectDiagnosaFk", insertable = false, updatable = false, nullable = false)
	private Integer diagnosaId;

	public PapPengkajianMedis getPaPpengkajianMedis() {
		return paPpengkajianMedis;
	}

	public void setPaPpengkajianMedis(PapPengkajianMedis paPpengkajianMedis) {
		this.paPpengkajianMedis = paPpengkajianMedis;
	}

	public String getPaPpengkajianMedisId() {
		return paPpengkajianMedisId;
	}

	public void setPaPpengkajianMedisId(String paPpengkajianMedisId) {
		this.paPpengkajianMedisId = paPpengkajianMedisId;
	}

	public Diagnosa getDiagnosa() {
		return diagnosa;
	}

	public void setDiagnosa(Diagnosa diagnosa) {
		this.diagnosa = diagnosa;
	}

	public Integer getDiagnosaId() {
		return diagnosaId;
	}

	public void setDiagnosaId(Integer diagnosaId) {
		this.diagnosaId = diagnosaId;
	}

 

	
}
